
DataONE R Client - Bug #3784

paste0() function not found on older versions of R

2013-05-30 15:17 - Matthew Jones

Status: Closed Start date: 2013-05-30

Priority: Normal Due date: 2014-09-10

Assignee: Matthew Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.1.0   

Milestone: None Story Points:  

Description

Shawn Bowers reports that paste0() was not found when he runs the dataone library in R 2.11.1.  It appears that this function was

introduced to the R base package sometime more recently -- previously it had been located in the gsubfn package.  As a temporary

workaround, you may be able to install the gsubfn package to get it to work.  But a better course is to upgrade to a recent version of

R.  To close this bug, need to determine which version of R has paste0 in base and upgrade our minimum R version dependency to

that.

History

#1 - 2013-05-30 15:21 - Matthew Jones

- Description updated

- Assignee set to Matthew Jones

#2 - 2014-09-10 20:15 - Matthew Jones

- Due date changed from 2013-05-30 to 2014-09-10

- Status changed from New to Closed

Moved bug report to github: https://github.com/DataONEorg/rdataone/issues/28
